version: '3.3'

services:

  vtd:
    image: vtd-image
    pull_policy: always
    restart: "no"
    command: /Controller/VTDController vtd-command kafka-topic
    environment:
      PodName: pod-name
      LM_LICENSE_FILE: "27500@10.14.85.247"
      SIMULATION_CLOUD_IP: simulation-cloud-ip
      KAFKA_IP: kafka-ip
      MINIO_IP: minio-ip
      MINIO_ACCESS_KEY: minio-access-key
      MINIO_SECRET_KEY: minio-secret-key
      KAFKA_PARTITION: kafka-partition
      KAFKA_OFFSET: kafka-offset
      CPU_ORDER: cpu-order
    devices:
      - "/dev/nvidia0:/dev/nvidia0"
      - "/dev/nvidiactl:/dev/nvidiactl"

  algorithm:
    image: algorithm-image
    pull_policy: always
    restart: "no"
    command: /run.sh
    network_mode: service:vtd
